void PrintSupportedResolution(HMODULE hndl)
{
	
	FARPROC lpfnGetProcessID;
	stResolution_t stResolution = {0};
	stResolution_t *pstReso;
	pstReso = NULL;
	DWORD dwNumberOfModes = 0;
	printf("-------------- Getting all supported resolution --------------\n");
	UFXGETSUPPORTEDRESOLUTIONS pUFXGetSupportedResoltuions;
	lpfnGetProcessID = GetProcAddress(hndl,"UFXGetSupportedResoltuions"); 
	pUFXGetSupportedResoltuions = UFXGETSUPPORTEDRESOLUTIONS(lpfnGetProcessID);
					
	if(pUFXGetSupportedResoltuions == NULL )
		printf("Failed to get supported resolution function pointer \n");
	else
	{
		printf("Calling UFXGetSupportedResoltuions to get resolutions \n");
		int iResult = pUFXGetSupportedResoltuions(NULL, &dwNumberOfModes);
		if(UFX_LIB_FAILURE != iResult && dwNumberOfModes != 0 )
		{
			//printf("Standard modes supported %d\n",dwNumberOfModes);
			DWORD dwMemReq = sizeof(stResolution_t) * dwNumberOfModes;
			//printf("Memory needed for holding all modes %d bytes\n",dwMemReq);
			pstReso = (stResolution_t*)malloc( dwMemReq);
			if(pstReso != NULL)
			{	
				iResult = pUFXGetSupportedResoltuions(pstReso, &dwNumberOfModes);
				if(UFX_LIB_FAILURE != iResult)
				{
					DWORD dwCnt = 0;
					printf("S.NO\t HorizontalPixels\t VerticalPixels\t Freq\n");
					for(dwCnt; dwCnt < dwNumberOfModes; dwCnt++ )
						printf(" %d\t            %d\t                %d\t       %d \n",dwCnt,pstReso[dwCnt].dwWidth,pstReso[dwCnt].dwHeight,pstReso[dwCnt].dwFreuency);
					printf("\n\n");
				}
				else
					printf("pUFXGetSupportedResolutions Api failed \n");
			}
			else
				printf("Failed to allocate memory \n");
							
			free(pstReso);
		}
		else
			printf("pUFXGetSupportedResolutions Api failed \n");
	}
}

case 1:
case 1:
{
GEINIT pUFXInitGE ;
lpfnGetProcessID = GetProcAddress(hndl,"UFXInitGE"); 
pUFXInitGE = GEINIT(lpfnGetProcessID);
if(pUFXInitGE != NULL)
{	
	DWORD dwHor = 1280;
	DWORD dwVer = 1024;
	DWORD dwFreq = 60;
	printf(" \n GE initialization needs Horizontal pixels, Vertical pixels and Refresh rate(Hz)\n");
	printf(" \nExnter Horizontal Pixels:");
	scanf("%d", &dwHor);
	printf(" \nExnter Vertical Pixels:");
	scanf("%d", &dwVer);
	printf(" \nExnter Frequency:");
	scanf("%d", &dwFreq);
	stResolution.dwFreuency = dwFreq;
	stResolution.dwHeight = dwVer;
	stResolution.dwWidth = dwHor;

	iResult = pUFXInitGE(stResolution);
						
	if(UFX_LIB_SUCCESS == iResult)
		printf("GE Init Success\n");
	else if(UFX_DEV_COM_FAIL == iResult)
		printf("UFX_DEV_COM_FAIL \n");
	else if(UFX_LIB_FAILURE == iResult)
		printf("UFX_LIB_FAILURE\n");
	else if(UFX_INVALID_ARG == iResult)
		printf("UFX_INVALID_ARG \n");
	else if(UFX_INVALID_DRAW_REQ == iResult)
		printf("UFX_INVALID_DRAW_REQ \n");
	else if(UFX_GE_INIT_FAILED == iResult)
		printf("UFX_GE_INIT_FAILED \n");
	else if(UFX_LIB_FAILURE == iResult)
		printf("UFX_LIB_FAILURE\n");
	else if(UFX_HDWRE_INIT_FAIL == iResult)
		printf("UFX_HDWRE_INIT_FAIL \n");
}
else
{
	printf(" \n Failed get address UFXInitGE from library. Library not loaded correctly \n");
}
}
break;						